Package org.apache.jmeter.protocol.http.util

# Class SlowHCPlainConnectionSocketFactory

java.lang.Object
org.apache.http.conn.socket.PlainConnectionSocketFactory
org.apache.jmeter.protocol.http.util.SlowHCPlainConnectionSocketFactory

All Implemented Interfaces:
  `org.apache.http.conn.socket.ConnectionSocketFactory`

public class SlowHCPlainConnectionSocketFactory extends org.apache.http.conn.socket.PlainConnectionSocketFactory
Apache HttpClient protocol factory to generate "slow" sockets for emulating dial-up modems

Since:
  5.0

- ## Field Summary

  ### Fields inherited from class org.apache.http.conn.socket.PlainConnectionSocketFactory

  `INSTANCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SlowHCPlainConnectionSocketFactory(int cps)`
  Create a factory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Socket`
  `createSocket(org.apache.http.protocol.HttpContext context)`

  ### Methods inherited from class org.apache.http.conn.socket.PlainConnectionSocketFactory

  `connectSocket, getSocketFactory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SlowHCPlainConnectionSocketFactory

    public SlowHCPlainConnectionSocketFactory(int cps)
    Create a factory
    Parameters:
      `cps` - - characters per second

- ## Method Details

  - ### createSocket

    public Socket createSocket(org.apache.http.protocol.HttpContext context) throws IOException
    Specified by:
      `createSocket` in interface `org.apache.http.conn.socket.ConnectionSocketFactory`
    Overrides:
      `createSocket` in class `org.apache.http.conn.socket.PlainConnectionSocketFactory`
    Throws:
      `IOException`